Scan Device

Start a scan on one endpoint device, identified by hostname, IP, or MAC.

This method is used to start a scan on endpoints. At least one of hostname, ip, mac should be passed.

KeyMeaningMandatoryData Type
hostnameHostname of the device to be scannedNostring
ipIP address of the deviceNostring
macMAC address of the deviceNostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.scan(
    hostname="host1"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json